## org.apache.axis.wsdl.symbolTable
Class UndefinedDelegate

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.UndefinedDelegate

All Implemented Interfaces:
  Undefined

public class UndefinedDelegate
extends java.lang.Object
implements Undefined

This UndefinedDelegate class implements the common functions of UndefinedType and UndefinedElement.

Method Summary
`void` `register(TypeEntry referrant)` Register referrant TypeEntry so that the code can update the TypeEntry when the Undefined Element or Type is defined
`void` `update(TypeEntry def)` Call update with the actual TypeEntry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### register

    public void register(TypeEntry referrant)

  Register referrant TypeEntry so that the code can update the TypeEntry when the Undefined Element or Type is defined

  Specified by:
    `register` in interface `Undefined`
  Parameters:
    `referrant` -

### update

    public void update(TypeEntry def)
                throws java.io.IOException

  Call update with the actual TypeEntry. This updates all of the referrant TypeEntry's that were registered.

  Specified by:
    `update` in interface `Undefined`
  Parameters:
    `def` -
  Throws:
    `java.io.IOException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.